//
//   File : optw_ctcpreplies.cpp
//   Creation date : Fri Aug 23 02:42:01 2002 GMT by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2002 Szymon Stefanek (pragma at kvirc dot net)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//


#include "optw_ctcpreplies.h"

#include "kvi_settings.h"
#include "kvi_locale.h"
#include "kvi_options.h"

#ifdef COMPILE_INFO_TIPS
	#include <qtooltip.h>
#endif

KviCtcpRepliesOptionsWidget::KviCtcpRepliesOptionsWidget(QWidget * parent)
: KviOptionsWidget(parent,"ctcpreplies_options_widget")
{

	createLayout(5,1);

	KviStringSelector * s = addStringSelector(0,0,0,0, __tr("CTCP VERSION reply postfix"),KviOption_stringCtcpVersionPostfix);

#ifdef COMPILE_INFO_TIPS
	QToolTip::add(s,
		__tr("<center>This is the last part of the CTCP VERSION reply: you can place your script name here (for example)</center>"));
#endif

	s = addStringSelector(0,1,0,1, __tr("CTCP USERINFO reply"),KviOption_stringCtcpUserinfoReply);

#ifdef COMPILE_INFO_TIPS
	QToolTip::add(s,
		__tr("<center>This is the CTCP USERINFO reply: it should contain informations about you :).</center>"));
#endif

	s = addStringSelector(0,2,0,2, __tr("CTCP PAGE reply"),KviOption_stringCtcpPageReply);

#ifdef COMPILE_INFO_TIPS
	QToolTip::add(s,
		__tr("<center>This is the CTCP PAGE reply: it should contain some sort of acknowledge of the PAGE message.</center>"));
#endif

	s = addStringSelector(0,3,0,3, __tr("CTCP SOURCE postfix"),KviOption_stringCtcpSourcePostfix);

#ifdef COMPILE_INFO_TIPS
	QToolTip::add(s,
		__tr("<center>This is the last part of the CTCP SOURCE reply: you can place the source for your script here.</center>"));
#endif

	addRowSpacer(0,4,0,4);

}


KviCtcpRepliesOptionsWidget::~KviCtcpRepliesOptionsWidget()
{
}


#include "m_optw_ctcpreplies.moc"

